﻿// <auto-generated />
using System;
using ExcelExport.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

namespace ExcelExport.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    [Migration("20201101163357_init")]
    partial class init
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn)
                .HasAnnotation("ProductVersion", "3.1.9")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            modelBuilder.Entity("ExcelExport.Data.Data", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<string>("Address")
                        .HasColumnType("text");

                    b.Property<DateTime>("BirthDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<string>("Name")
                        .HasColumnType("text");

                    b.Property<string>("Phone")
                        .HasColumnType("text");

                    b.Property<string>("SocialNumber")
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("Data");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Address = "Баткен",
                            BirthDate = new DateTime(1991, 3, 8, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Тестовый клиент1",
                            Phone = "123",
                            SocialNumber = "12345678901234"
                        },
                        new
                        {
                            Id = 2,
                            Address = "Бишкек",
                            BirthDate = new DateTime(1996, 4, 20, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Тестовый клиент2",
                            Phone = "456",
                            SocialNumber = "98765432101234"
                        },
                        new
                        {
                            Id = 3,
                            Address = "Нарын",
                            BirthDate = new DateTime(1995, 8, 4, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Тестовый клиент3",
                            Phone = "789",
                            SocialNumber = "12345543211234"
                        },
                        new
                        {
                            Id = 4,
                            Address = "Комсомольская",
                            BirthDate = new DateTime(1989, 2, 25, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Name = "Тестовый клиент1",
                            Phone = "012",
                            SocialNumber = "12345543211234"
                        });
                });
#pragma warning restore 612, 618
        }
    }
}
